﻿using Server.Gumps;
using Server.Items;
using Server.Network;

namespace Server.Gumps
{
    public class LapisChangeColorGump : Gump
    {
        enum ColorCategory
        {
            Normal,
            Special,
            Ingots,
            Neon,
        }
        private static readonly int FAIL_COLOR = 0x0086;
        private static readonly int SUCCESS_COLOR = 0x0000;

        private int selected = 0;
        private readonly LapisAbstractDyeTub m_Tub;
        public LapisChangeColorGump(LapisAbstractDyeTub tub, bool[] usable, int selecter) : base(200, 200)
        {
            this.selected = selecter;
            this.m_Tub = tub;

            AddPage(0);
            AddBackground(1, 0, 300, 260, 0x0DAC);
            AddButton(75, 200, 247, 248, 1, GumpButtonType.Reply, 0);
            AddButton(153, 200, 243, 241, 2, GumpButtonType.Reply, 0);
            AddButton(20,162, 0x0FAB, 0xFAC,3, GumpButtonType.Reply, 0);

            AddLabel(20, 20, 0, "ペンキ選び");
            AddItem(235, 20, 0x0FAB);

            if (usable[(int)ColorCategory.Normal])
                AddRadio(20, 63, 0x2C88, 0x2C92, selecter == 0, 1);
            if (usable[(int)ColorCategory.Special])
               AddRadio(20, 83,  0x2C88, 0x2C92, selecter == 1 , 2);
            if (usable[(int)ColorCategory.Ingots])
                AddRadio(20, 103, 0x2C88, 0x2C92, selecter == 2 , 3);
            if (usable[(int)ColorCategory.Neon])
                AddRadio(20, 123, 0x2C88, 0x2C92, selecter == 3 , 4);

            AddLabel(40, 60,  usable[(int)ColorCategory.Normal]  ? SUCCESS_COLOR : FAIL_COLOR, LapisAbstractDyeTub.DispName[(int)ColorCategory.Normal] );    
            AddLabel(40, 80,  usable[(int)ColorCategory.Special] ? SUCCESS_COLOR : FAIL_COLOR, LapisAbstractDyeTub.DispName[(int)ColorCategory.Special]);
            AddLabel(40, 100, usable[(int)ColorCategory.Ingots]  ? SUCCESS_COLOR : FAIL_COLOR, LapisAbstractDyeTub.DispName[(int)ColorCategory.Ingots] );
            AddLabel(40, 120, usable[(int)ColorCategory.Neon]    ? SUCCESS_COLOR : FAIL_COLOR, LapisAbstractDyeTub.DispName[(int)ColorCategory.Neon]   );
            AddLabel(60, 160, 0, "ペンキを追加する。");
        }
        public override void OnResponse(NetState sender, RelayInfo info)
        {
            if (this.m_Tub == null || this.m_Tub.Deleted)
                return;
            Mobile m = sender.Mobile;

            if (info.IsSwitched(1))
            {
                this.selected = 0;
            }
            else if(info.IsSwitched(2)) {
                this.selected = 1;
            }
            else if (info.IsSwitched(3))
            {
                this.selected = 2;
            }
            else if (info.IsSwitched(4))
            {
                this.selected = 3;
            }
            switch (info.ButtonID)
            {
                case 1:
                    {
                        this.m_Tub.Category = this.selected;
                        break;
                    }

                case 2:
                    {
                        break;
                    }
                case 3:
                    {
                        this.m_Tub.selectPaints(sender.Mobile);
                        break;
                    }
            }
        }
    }

}
