﻿using System;
using System.Collections.Generic;
using Server.ContextMenus;
using Server.Gumps;
using Server.Multis;
using Server.Targeting;

namespace Server.Items
{
    public class LapisChangeColorPaints : Item
    {
        enum ColorCategory
        {
            Normal,
            Special,
            Ingots,
            Neon,
        }
        public int nCategory { get; set; }

        [Constructable]
        public LapisChangeColorPaints() : base(0x142B)
        {
            this.Hue = 0x047f;
            this.LootType = LootType.Blessed;
            this.nCategory = Utility.Random(4);
            this.Name = "染め桶用ペンキ";
        }

        public LapisChangeColorPaints(Serial serial)
            : base(serial)
        {
        }

        public override void GetProperties(ObjectPropertyList list)
        {
            base.GetProperties(list);
            list.Add(LapisAbstractDyeTub.DispName[this.nCategory]);
        }

        public override void Serialize(GenericWriter writer)
        {
            base.Serialize(writer);

            writer.Write((int)0); // version
            writer.Write(this.nCategory);
        }

        public override void Deserialize(GenericReader reader)
        {
            base.Deserialize(reader);

            int version = reader.ReadInt();
            this.nCategory = reader.ReadInt();
        }
    }
}
